<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script type="text/javascript">
		
         let c=0;
         let s=0;
         let dato=0;
         let media=0;
         dato=Number(prompt("introducir dato:"));
         while (dato!==0) {
         	c=c+1;
         	s=s+dato;
         	dato=Number(prompt("introducir dato:"));
         }
            
          media=s/c;

          document.write(media);
	</script>
</body>
</html>